瀏覽代碼

Ads debian folder for packaging two debs, jitsi-meet and jitsi-meet-prosody.

j8
turint 10 年之前
父節點
當前提交
e200eacf09

+ 6
- 0
debian/changelog 查看文件

@@ -0,0 +1,6 @@
1
+jitsi-meet (1.0.1-1) unstable; urgency=low
2
+
3
+  * Initial release
4
+  * Jitsi Meet github snapshot from 2014-07-01
5
+
6
+ -- Yasen Pramatarov <yasen@bluejimp.com>  Tue, 01 Jul 2014 16:31:41 +0300

+ 1
- 0
debian/compat 查看文件

@@ -0,0 +1 @@
1
+8

+ 33
- 0
debian/control 查看文件

@@ -0,0 +1,33 @@
1
+Source: jitsi-meet
2
+Section: net
3
+Priority: extra
4
+Maintainer: Jitsi Team <dev@jitsi.org>
5
+Uploaders: Emil Ivov <emcho@jitsi.org>, Damian Minkov <damencho@jitsi.org>
6
+Build-Depends: debhelper (>= 8.0.0)
7
+Standards-Version: 3.9.3
8
+Homepage: https://jitsi.org/meet
9
+
10
+Package: jitsi-meet
11
+Architecture: all
12
+Pre-Depends: adduser, openssl, jitsi-videobridge
13
+Depends: ${shlibs:Depends}, ${misc:Depends}, nginx, jitsi-meet-prosody
14
+Description: WebRTC JavaScript video conferences
15
+ Jitsi Meet is a WebRTC JavaScript application that uses Jitsi
16
+ Videobridge to provide high quality, scalable video conferences.
17
+ .
18
+ It is a web interface to Jitsi Videobridge for audio and video
19
+ forwarding and relaying, configured to work with nginx
20
+
21
+Package: jitsi-meet-prosody
22
+Architecture: all
23
+Pre-Depends: adduser, openssl, prosody-trunk, jitsi-videobridge
24
+Depends: ${shlibs:Depends}, ${misc:Depends}, nginx, prosody-modules-otalk, lua-sec
25
+Description: Prosody configuration for Jitsi Meet
26
+ Jitsi Meet is a WebRTC JavaScript application that uses Jitsi
27
+ Videobridge to provide high quality, scalable video conferences.
28
+ .
29
+ It is a web interface to Jitsi Videobridge for audio and video
30
+ forwarding and relaying, configured to work with nginx
31
+ .
32
+ This package contains configuration for Prosody to be used with
33
+ Jitsi Meet.

+ 2
- 0
debian/files 查看文件

@@ -0,0 +1,2 @@
1
+jitsi-meet_1.0.1-1_all.deb net extra
2
+jitsi-meet-prosody_1.0.1-1_all.deb net extra

+ 7
- 0
debian/jitsi-meet-prosody.README.Debian 查看文件

@@ -0,0 +1,7 @@
1
+Prosody configuration for Jitsi Meet for Debian
2
+----------------------------
3
+
4
+Jitsi Meet is a WebRTC video conferencing application. This package contains 
5
+configuration of prosody which are needed for Jitsi Meet to work.
6
+
7
+ -- Yasen Pramatarov <yasen@bluejimp.com>  Mon, 30 Jun 2014 23:05:18 +0100

+ 31
- 0
debian/jitsi-meet-prosody.copyright 查看文件

@@ -0,0 +1,31 @@
1
+Format: http://dep.debian.net/deps/dep5
2
+Upstream-Name: Jitsi Meet
3
+Upstream-Contact: Emil Ivov <emcho@jitsi.org>
4
+Source: https://github.com/jitsi/jitsi-meet
5
+
6
+Files: *
7
+Copyright: 2013-2014 Jitsi
8
+License: MIT
9
+
10
+License: MIT
11
+ The MIT License (MIT)
12
+ .
13
+ Copyright (c) 2013 ESTOS GmbH
14
+ Copyright (c) 2013 BlueJimp SARL
15
+ .
16
+ Permission is hereby granted, free of charge, to any person obtaining a copy of
17
+ this software and associated documentation files (the "Software"), to deal in
18
+ the Software without restriction, including without limitation the rights to
19
+ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
20
+ the Software, and to permit persons to whom the Software is furnished to do so,
21
+ subject to the following conditions:
22
+ .
23
+ The above copyright notice and this permission notice shall be included in all
24
+ copies or substantial portions of the Software.
25
+ .
26
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
27
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
28
+ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
29
+ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
30
+ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
31
+ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

+ 1
- 0
debian/jitsi-meet-prosody.install 查看文件

@@ -0,0 +1 @@
1
+debian/usr/share/*		/usr/share/

+ 58
- 0
debian/jitsi-meet-prosody.postinst 查看文件

@@ -0,0 +1,58 @@
1
+#!/bin/sh
2
+# postinst script for jitsi-meet-prosody
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <postinst> `configure' <most-recently-configured-version>
10
+#        * <old-postinst> `abort-upgrade' <new version>
11
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
12
+#          <new-version>
13
+#        * <postinst> `abort-remove'
14
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
15
+#          <failed-install-package> <version> `removing'
16
+#          <conflicting-package> <version>
17
+# for details, see http://www.debian.org/doc/debian-policy/ or
18
+# the debian-policy package
19
+
20
+
21
+case "$1" in
22
+    configure)
23
+
24
+        . /etc/default/jitsi-videobridge
25
+
26
+        if [ -x /etc/prosody/prosody.cfg.lua ]; then
27
+            mv /etc/prosody/prosody.cfg.lua /etc/prosody/prosody.cfg.lua.orig
28
+        fi
29
+        gunzip -c /usr/share/doc/jitsi-meet-prosody/prosody.cfg.lua-jvb.example.gz > /etc/prosody/prosody.cfg.lua
30
+        sed -i "s/jitmeet.example.com/$JVB_HOSTNAME/g" /etc/prosody/prosody.cfg.lua
31
+        sed -i "s/jitmeetSecret/$JVB_SECRET/g" /etc/prosody/prosody.cfg.lua
32
+        if [ ! -f /var/lib/prosody/$JVB_HOSTNAME.crt ]; then
33
+            HOST="$( (hostname -s; echo localhost) | head -n 1)"
34
+            DOMAIN="$( (hostname -d; echo localdomain) | head -n 1)"
35
+            openssl req -new -newkey rsa:4096 -days 365 -nodes -x509 -subj \
36
+                "/O=$DOMAIN/OU=$HOST/CN=$JVB_HOSTNAME/emailAddress=webmaster@$HOST.$DOMAIN" \
37
+                -keyout /var/lib/prosody/$JVB_HOSTNAME.key -out /var/lib
38
+        fi
39
+        ln -sf /var/lib/prosody/$JVB_HOSTNAME.key /etc/prosody/certs/$JVB_HOSTNAME.key
40
+        ln -sf /var/lib/prosody/$JVB_HOSTNAME.crt /etc/prosody/certs/$JVB_HOSTNAME.crt
41
+        invoke-rc.d prosody restart
42
+    ;;
43
+
44
+    abort-upgrade|abort-remove|abort-deconfigure)
45
+    ;;
46
+
47
+    *)
48
+        echo "postinst called with unknown argument \`$1'" >&2
49
+        exit 1
50
+    ;;
51
+esac
52
+
53
+# dh_installdeb will replace this with shell code automatically
54
+# generated by other debhelper scripts.
55
+
56
+#DEBHELPER#
57
+
58
+exit 0

+ 48
- 0
debian/jitsi-meet-prosody.postrm 查看文件

@@ -0,0 +1,48 @@
1
+#!/bin/sh
2
+# postrm script for jitsi-meet-prosody
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <postrm> `remove'
10
+#        * <postrm> `purge'
11
+#        * <old-postrm> `upgrade' <new-version>
12
+#        * <new-postrm> `failed-upgrade' <old-version>
13
+#        * <new-postrm> `abort-install'
14
+#        * <new-postrm> `abort-install' <old-version>
15
+#        * <new-postrm> `abort-upgrade' <old-version>
16
+#        * <disappearer's-postrm> `disappear' <overwriter>
17
+#          <overwriter-version>
18
+# for details, see http://www.debian.org/doc/debian-policy/ or
19
+# the debian-policy package
20
+
21
+# Load debconf
22
+. /usr/share/debconf/confmodule
23
+
24
+
25
+case "$1" in
26
+    purge|remove)
27
+        if [ -x "/etc/init.d/prosody" ]; then
28
+            invoke-rc.d nginx reload
29
+        fi
30
+    ;;
31
+
32
+    upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
33
+    ;;
34
+
35
+    *)
36
+        echo "postrm called with unknown argument \`$1'" >&2
37
+        exit 1
38
+    ;;
39
+esac
40
+
41
+# dh_installdeb will replace this with shell code automatically
42
+# generated by other debhelper scripts.
43
+
44
+#DEBHELPER#
45
+
46
+db_stop
47
+
48
+exit 0

+ 35
- 0
debian/jitsi-meet-prosody.preinst 查看文件

@@ -0,0 +1,35 @@
1
+#!/bin/sh
2
+# preinst script for jitsi-meet-prosody
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <new-preinst> `install'
10
+#        * <new-preinst> `install' <old-version>
11
+#        * <new-preinst> `upgrade' <old-version>
12
+#        * <old-preinst> `abort-upgrade' <new-version>
13
+# for details, see http://www.debian.org/doc/debian-policy/ or
14
+# the debian-policy package
15
+
16
+
17
+case "$1" in
18
+    install|upgrade)
19
+    ;;
20
+
21
+    abort-upgrade)
22
+    ;;
23
+
24
+    *)
25
+        echo "preinst called with unknown argument \`$1'" >&2
26
+        exit 1
27
+    ;;
28
+esac
29
+
30
+# dh_installdeb will replace this with shell code automatically
31
+# generated by other debhelper scripts.
32
+
33
+#DEBHELPER#
34
+
35
+exit 0

+ 36
- 0
debian/jitsi-meet-prosody.prerm 查看文件

@@ -0,0 +1,36 @@
1
+#!/bin/sh
2
+# prerm script for jitsi-meet-prosody
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <prerm> `remove'
10
+#        * <old-prerm> `upgrade' <new-version>
11
+#        * <new-prerm> `failed-upgrade' <old-version>
12
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
13
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
14
+#          <package-being-installed> <version> `removing'
15
+#          <conflicting-package> <version>
16
+# for details, see http://www.debian.org/doc/debian-policy/ or
17
+# the debian-policy package
18
+
19
+
20
+case "$1" in
21
+    remove|purge)
22
+    ;;
23
+
24
+    upgrade|deconfigure)
25
+    ;;
26
+
27
+    failed-upgrade)
28
+    ;;
29
+
30
+    *)
31
+        echo "prerm called with unknown argument \`$1'" >&2
32
+        exit 1
33
+    ;;
34
+esac
35
+
36
+exit 0

+ 1
- 0
debian/jitsi-meet-prosody.substvars 查看文件

@@ -0,0 +1 @@
1
+misc:Depends=

+ 8
- 0
debian/jitsi-meet.README.Debian 查看文件

@@ -0,0 +1,8 @@
1
+Jitsi Meet for Debian
2
+----------------------------
3
+
4
+This is a WebRTC frontend of the video conferencing tool Jitsi Meet. It depends on the
5
+jitsi-videobridge package, which is a SFU (Selective Forwarding Unit) and both packages
6
+are designed to work together.
7
+
8
+ -- Yasen Pramatarov <yasen@bluejimp.com>  Mon, 30 Jun 2014 23:05:18 +0100

+ 6
- 0
debian/jitsi-meet.README.source 查看文件

@@ -0,0 +1,6 @@
1
+jitsi-meet for Debian
2
+---------------------
3
+
4
+The jitsi-meet package is built from the sources of Jitsi Meet.
5
+
6
+Jitsi Meet is downloaded from https://github.com/jitsi/jitsi-meet and the git files are removed. you can recreate the source with 'git clone https://github.com/jitsi/jitsi-meet.git'.

+ 31
- 0
debian/jitsi-meet.copyright 查看文件

@@ -0,0 +1,31 @@
1
+Format: http://dep.debian.net/deps/dep5
2
+Upstream-Name: Jitsi Meet
3
+Upstream-Contact: Emil Ivov <emcho@jitsi.org>
4
+Source: https://github.com/jitsi/jitsi-meet
5
+
6
+Files: *
7
+Copyright: 2013-2014 Jitsi
8
+License: MIT
9
+
10
+License: MIT
11
+ The MIT License (MIT)
12
+ .
13
+ Copyright (c) 2013 ESTOS GmbH
14
+ Copyright (c) 2013 BlueJimp SARL
15
+ .
16
+ Permission is hereby granted, free of charge, to any person obtaining a copy of
17
+ this software and associated documentation files (the "Software"), to deal in
18
+ the Software without restriction, including without limitation the rights to
19
+ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
20
+ the Software, and to permit persons to whom the Software is furnished to do so,
21
+ subject to the following conditions:
22
+ .
23
+ The above copyright notice and this permission notice shall be included in all
24
+ copies or substantial portions of the Software.
25
+ .
26
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
27
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
28
+ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
29
+ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
30
+ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
31
+ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

+ 3
- 0
debian/jitsi-meet.docs 查看文件

@@ -0,0 +1,3 @@
1
+README.md
2
+debian/usr/share/doc/jitsi-meet/README
3
+debian/usr/share/doc/jitsi-meet/jitsi-meet.example

+ 2
- 0
debian/jitsi-meet.install 查看文件

@@ -0,0 +1,2 @@
1
+*				/usr/share/jitsi-meet/
2
+debian/usr/share/*		/usr/share/

+ 64
- 0
debian/jitsi-meet.postinst 查看文件

@@ -0,0 +1,64 @@
1
+#!/bin/sh
2
+# postinst script for jitsi-meet
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <postinst> `configure' <most-recently-configured-version>
10
+#        * <old-postinst> `abort-upgrade' <new version>
11
+#        * <conflictor's-postinst> `abort-remove' `in-favour' <package>
12
+#          <new-version>
13
+#        * <postinst> `abort-remove'
14
+#        * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
15
+#          <failed-install-package> <version> `removing'
16
+#          <conflicting-package> <version>
17
+# for details, see http://www.debian.org/doc/debian-policy/ or
18
+# the debian-policy package
19
+
20
+
21
+case "$1" in
22
+    configure)
23
+
24
+        # nginx conf
25
+        . /etc/default/jitsi-videobridge
26
+        cp /usr/share/doc/jitsi-meet/jitsi-meet.example /etc/nginx/sites-available/$JVB_HOSTNAME.conf
27
+        if [ ! -f /etc/nginx/sites-enabled/$JVB_HOSTNAME.conf ]; then
28
+            ln -s /etc/nginx/sites-available/$JVB_HOSTNAME.conf /etc/nginx/sites-enabled/$JVB_HOSTNAME.conf
29
+        fi
30
+        sed -i "s/jitsi-meet.example.com/$JVB_HOSTNAME/g" /etc/nginx/sites-available/$JVB_HOSTNAME.conf
31
+        # FIXME do we need the default?
32
+        if [ ! -f /etc/nginx/sites-enabled/default ]; then
33
+            ln -s /etc/nginx/sites-available/default /etc/nginx/sites-enabled/default
34
+        fi
35
+        if grep "# server_names_hash_bucket_size 64" /etc/nginx/nginx.conf > /dev/null; then
36
+            sed -i "s/#\ server_names_hash_bucket_size\ 64/\ server_names_hash_bucket_size\ 64/" /etc/nginx/nginx.conf
37
+        fi
38
+
39
+        # jitsi meet
40
+        chown -R www-data:www-data /usr/share/jitsi-meet/
41
+        sed -i "s/jitsi-meet.example.com/$JVB_HOSTNAME/g" /usr/share/jitsi-meet/config.js
42
+        # enable turn
43
+        if grep "//  useStunTurn: true," /usr/share/jitsi-meet/config.js > /dev/null; then
44
+            sed -i "s/\/\/\ \ useStunTurn:\ true,/\ \ \ \ useStunTurn:\ true,/" /usr/share/jitsi-meet/config.js
45
+        fi
46
+        invoke-rc.d nginx restart
47
+
48
+    ;;
49
+
50
+    abort-upgrade|abort-remove|abort-deconfigure)
51
+    ;;
52
+
53
+    *)
54
+        echo "postinst called with unknown argument \`$1'" >&2
55
+        exit 1
56
+    ;;
57
+esac
58
+
59
+# dh_installdeb will replace this with shell code automatically
60
+# generated by other debhelper scripts.
61
+
62
+#DEBHELPER#
63
+
64
+exit 0

+ 48
- 0
debian/jitsi-meet.postrm 查看文件

@@ -0,0 +1,48 @@
1
+#!/bin/sh
2
+# postrm script for jitsi-meet
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <postrm> `remove'
10
+#        * <postrm> `purge'
11
+#        * <old-postrm> `upgrade' <new-version>
12
+#        * <new-postrm> `failed-upgrade' <old-version>
13
+#        * <new-postrm> `abort-install'
14
+#        * <new-postrm> `abort-install' <old-version>
15
+#        * <new-postrm> `abort-upgrade' <old-version>
16
+#        * <disappearer's-postrm> `disappear' <overwriter>
17
+#          <overwriter-version>
18
+# for details, see http://www.debian.org/doc/debian-policy/ or
19
+# the debian-policy package
20
+
21
+# Load debconf
22
+. /usr/share/debconf/confmodule
23
+
24
+
25
+case "$1" in
26
+    purge|remove)
27
+        if [ -x "/etc/init.d/nginx" ]; then
28
+            invoke-rc.d nginx reload
29
+        fi
30
+    ;;
31
+
32
+    upgrade|failed-upgrade|abort-install|abort-upgrade|disappear)
33
+    ;;
34
+
35
+    *)
36
+        echo "postrm called with unknown argument \`$1'" >&2
37
+        exit 1
38
+    ;;
39
+esac
40
+
41
+# dh_installdeb will replace this with shell code automatically
42
+# generated by other debhelper scripts.
43
+
44
+#DEBHELPER#
45
+
46
+db_stop
47
+
48
+exit 0

+ 35
- 0
debian/jitsi-meet.preinst 查看文件

@@ -0,0 +1,35 @@
1
+#!/bin/sh
2
+# preinst script for jitsi-meet
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <new-preinst> `install'
10
+#        * <new-preinst> `install' <old-version>
11
+#        * <new-preinst> `upgrade' <old-version>
12
+#        * <old-preinst> `abort-upgrade' <new-version>
13
+# for details, see http://www.debian.org/doc/debian-policy/ or
14
+# the debian-policy package
15
+
16
+
17
+case "$1" in
18
+    install|upgrade)
19
+    ;;
20
+
21
+    abort-upgrade)
22
+    ;;
23
+
24
+    *)
25
+        echo "preinst called with unknown argument \`$1'" >&2
26
+        exit 1
27
+    ;;
28
+esac
29
+
30
+# dh_installdeb will replace this with shell code automatically
31
+# generated by other debhelper scripts.
32
+
33
+#DEBHELPER#
34
+
35
+exit 0

+ 36
- 0
debian/jitsi-meet.prerm 查看文件

@@ -0,0 +1,36 @@
1
+#!/bin/sh
2
+# prerm script for jitsi-meet
3
+#
4
+# see: dh_installdeb(1)
5
+
6
+set -e
7
+
8
+# summary of how this script can be called:
9
+#        * <prerm> `remove'
10
+#        * <old-prerm> `upgrade' <new-version>
11
+#        * <new-prerm> `failed-upgrade' <old-version>
12
+#        * <conflictor's-prerm> `remove' `in-favour' <package> <new-version>
13
+#        * <deconfigured's-prerm> `deconfigure' `in-favour'
14
+#          <package-being-installed> <version> `removing'
15
+#          <conflicting-package> <version>
16
+# for details, see http://www.debian.org/doc/debian-policy/ or
17
+# the debian-policy package
18
+
19
+
20
+case "$1" in
21
+    remove|purge)
22
+    ;;
23
+
24
+    upgrade|deconfigure)
25
+    ;;
26
+
27
+    failed-upgrade)
28
+    ;;
29
+
30
+    *)
31
+        echo "prerm called with unknown argument \`$1'" >&2
32
+        exit 1
33
+    ;;
34
+esac
35
+
36
+exit 0

+ 15
- 0
debian/rules 查看文件

@@ -0,0 +1,15 @@
1
+#!/usr/bin/make -f
2
+# -*- makefile -*-
3
+# Sample debian/rules that uses debhelper.
4
+# This file was originally written by Joey Hess and Craig Small.
5
+# As a special exception, when this file is copied by dh-make into a
6
+# dh-make output file, you may use that output file without restriction.
7
+# This special exception was added by Craig Small in version 0.37 of dh-make.
8
+
9
+# Uncomment this to turn on verbose mode.
10
+#export DH_VERBOSE=1
11
+
12
+%:
13
+	dh_install -Xdebian -Xdoc -XINSTALL.md -XLICENSE -XREADME.md usr/share/jitsi-meet/
14
+
15
+	dh $@ 

+ 1
- 0
debian/source/format 查看文件

@@ -0,0 +1 @@
1
+3.0 (quilt)

+ 19
- 0
debian/source/include-binaries 查看文件

@@ -0,0 +1,19 @@
1
+debian/usr/share/jitsi-meet/favicon.ico
2
+debian/usr/share/jitsi-meet/fonts/jitsi.eot
3
+debian/usr/share/jitsi-meet/fonts/jitsi.woff
4
+debian/usr/share/jitsi-meet/fonts/jitsi.ttf
5
+debian/usr/share/jitsi-meet/sounds/left.wav
6
+debian/usr/share/jitsi-meet/sounds/incomingMessage.wav
7
+debian/usr/share/jitsi-meet/sounds/joined.wav
8
+debian/usr/share/jitsi-meet/images/estoslogo.png
9
+debian/usr/share/jitsi-meet/images/chromelogo.png
10
+debian/usr/share/jitsi-meet/images/jitsilogo.png
11
+debian/usr/share/jitsi-meet/images/watermark.png
12
+debian/usr/share/jitsi-meet/images/avatarprezi.png
13
+debian/usr/share/jitsi-meet/images/chromepointer.png
14
+debian/usr/share/jitsi-meet/images/avatar1.png
15
+debian/usr/share/jitsi-meet/images/popupPointer.png
16
+debian/usr/share/jitsi-meet/images/favicon.ico
17
+debian/usr/share/doc/jitsi-meet/changelog.Debian.gz
18
+debian/usr/share/doc/jitsi-meet-prosody/changelog.Debian.gz
19
+debian/usr/share/doc/jitsi-meet-prosody/prosody.cfg.lua-jvb.example.gz

+ 1
- 0
debian/usr/share/doc/jitsi-meet-prosody/README 查看文件

@@ -0,0 +1 @@
1
+Prosody configuration for Jitsi Meet

二進制
debian/usr/share/doc/jitsi-meet-prosody/changelog.Debian.gz 查看文件


+ 31
- 0
debian/usr/share/doc/jitsi-meet-prosody/copyright 查看文件

@@ -0,0 +1,31 @@
1
+Format: http://dep.debian.net/deps/dep5
2
+Upstream-Name: Jitsi Meet
3
+Upstream-Contact: Emil Ivov <emcho@jitsi.org>
4
+Source: https://github.com/jitsi/jitsi-meet
5
+
6
+Files: *
7
+Copyright: 2013-2014 Jitsi
8
+License: MIT
9
+
10
+License: MIT
11
+ The MIT License (MIT)
12
+ .
13
+ Copyright (c) 2013 ESTOS GmbH
14
+ Copyright (c) 2013 BlueJimp SARL
15
+ .
16
+ Permission is hereby granted, free of charge, to any person obtaining a copy of
17
+ this software and associated documentation files (the "Software"), to deal in
18
+ the Software without restriction, including without limitation the rights to
19
+ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
20
+ the Software, and to permit persons to whom the Software is furnished to do so,
21
+ subject to the following conditions:
22
+ .
23
+ The above copyright notice and this permission notice shall be included in all
24
+ copies or substantial portions of the Software.
25
+ .
26
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
27
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
28
+ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
29
+ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
30
+ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
31
+ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

二進制
debian/usr/share/doc/jitsi-meet-prosody/prosody.cfg.lua-jvb.example.gz 查看文件


+ 13
- 0
debian/usr/share/doc/jitsi-meet/README 查看文件

@@ -0,0 +1,13 @@
1
+Jitsi Meet
2
+
3
+====
4
+
5
+A WebRTC-powered multi-user videochat. For a live demo, check out either
6
+https://meet.estos.de/ or https://meet.jit.si/.
7
+
8
+Built using colibri.js[0] and strophe.jingle[1], powered by the jitsi-videobridge[2]
9
+
10
+
11
+[0] https://github.com/ESTOS/colibri.js
12
+[1] https://github.com/ESTOS/strophe.jingle
13
+[3] https://github.com/jitsi/jitsi-videobridge

二進制
debian/usr/share/doc/jitsi-meet/changelog.Debian.gz 查看文件


+ 31
- 0
debian/usr/share/doc/jitsi-meet/copyright 查看文件

@@ -0,0 +1,31 @@
1
+Format: http://dep.debian.net/deps/dep5
2
+Upstream-Name: Jitsi Meet
3
+Upstream-Contact: Emil Ivov <emcho@jitsi.org>
4
+Source: https://github.com/jitsi/jitsi-meet
5
+
6
+Files: *
7
+Copyright: 2013-2014 Jitsi
8
+License: MIT
9
+
10
+License: MIT
11
+ The MIT License (MIT)
12
+ .
13
+ Copyright (c) 2013 ESTOS GmbH
14
+ Copyright (c) 2013 BlueJimp SARL
15
+ .
16
+ Permission is hereby granted, free of charge, to any person obtaining a copy of
17
+ this software and associated documentation files (the "Software"), to deal in
18
+ the Software without restriction, including without limitation the rights to
19
+ use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
20
+ the Software, and to permit persons to whom the Software is furnished to do so,
21
+ subject to the following conditions:
22
+ .
23
+ The above copyright notice and this permission notice shall be included in all
24
+ copies or substantial portions of the Software.
25
+ .
26
+ THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
27
+ IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
28
+ FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
29
+ COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
30
+ IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
31
+ CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

+ 36
- 0
debian/usr/share/doc/jitsi-meet/jitsi-meet.example 查看文件

@@ -0,0 +1,36 @@
1
+server {
2
+    listen 80;
3
+    server_name jitsi-meet.example.com;
4
+    return 301 https://$host$request_uri;
5
+}
6
+server {
7
+    listen 443 ssl;
8
+    server_name jitsi-meet.example.com;
9
+
10
+    ssl_certificate /var/lib/prosody/jitsi-meet.example.com.crt;
11
+    ssl_certificate_key /var/lib/prosody/jitsi-meet.example.com.key;
12
+
13
+    root /usr/share/jitsi-meet;
14
+    index index.html index.htm;
15
+
16
+    location ~ ^/([a-zA-Z0-9]+)$ {
17
+        rewrite ^/(.*)$ / break;
18
+    }
19
+
20
+    # BOSH
21
+    location /http-bind {
22
+        proxy_pass      http://localhost:5280/http-bind;
23
+        proxy_set_header X-Forwarded-For $remote_addr;
24
+        proxy_set_header Host $http_host;
25
+    }
26
+
27
+    # xmpp websockets
28
+    location /xmpp-websocket {
29
+        proxy_pass http://localhost:5280;
30
+        proxy_http_version 1.1;
31
+        proxy_set_header Upgrade $http_upgrade;
32
+        proxy_set_header Connection "upgrade";
33
+        proxy_set_header Host $host;
34
+        tcp_nodelay on;
35
+    }
36
+}

Loading…
取消
儲存